{
  "version": "1.0.0",
  "name": "crayniccom/aho-corasick-php",
  "config": {
    "platform": {
      "php": "8.4"
    }
  },
  "require": {
    "php": "^8.4"
  },
  "require-dev": {
    "phpbench/phpbench": "^1.0@dev",
    "phpunit/phpunit": "^12.0"
  },
  "autoload": {
    "psr-4": {
      "Craynic\\AhoCorasick\\": "src"
    }
  },
  "autoload-dev": {
    "psr-4": {
      "Tests\\Craynic\\AhoCorasick\\": "tests",
      "Benchmarks\\Craynic\\AhoCorasick\\": "benchmarks"
    }
  },
  "scripts": {
    "test": "vendor/bin/phpunit",
    "test:unit": "vendor/bin/phpunit",
    "test:coverage": "vendor/bin/phpunit --coverage-text",
    "test:bench": "vendor/bin/phpbench run --report=aggregate"
  },
  "scripts-descriptions": {
    "test": "Run all tets",
    "test:unit": "Run all tets",
    "test:coverage": "Calculates test coverage",
    "test:bench": "Run all benchmarks"
  }
}
